/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon/page',
    method: 'get',
    params: pageParam
  })
}

export function get (couponId) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon',
    method: 'get',
    params: {
      couponId
    }
  })
}

export function save (data) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon',
    method: 'put',
    data
  })
}

export function deleteById (couponId) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon',
    method: 'delete',
    params: {
      couponId
    }
  })
}

// 获取最新下线活动详情
export function getOfflineHandleEvent (couponId) {
  return request({
    url: `/mall4cloud_marketing/mp/coupon/get_offline_handle_event/${couponId}`,
    method: 'GET'
  })
}

// 申请上线
export function auditApply (data) {
  return request({
    url: '/mall4cloud_marketing/mp/coupon/audit_apply',
    method: 'POST',
    data
  })
}
